نصب مفسر زبان برنامه‌نویسی پایتون روی سیستم‌عامل گنو/لینوکس توزیع اوبونتو


پیش از این گفتیم که روی اکثر توزیع‌های سیستم‌عامل گنو/لینوکس، مفسر زبان برنامه‌نویسی پایتون به صورت پیش‌فرض نصب است اما برای آنکه از این مسئله اطمینان حاصل کنیم، ترمینال را باز کرده و دستورات زیر را به ترتیب وارد آن می‌کنیم:

$ python --version
$ python2 --version
$ python3 --version

بسته به اینکه نسخهٔ نصب‌شدهٔ پیش‌فرض روی سیستم‌عامل گنو/لینوکس چه باشد، در صورتی که صرفاً دستور python را تایپ کنیم، ورژن نسخهٔ پیش‌فرض در معرض دیدمان قرار خواهد گرفت اما اگر به هر حال بخواهیم در دستور خود نسخهٔ مد نظر را نیز بگنجانیم، می‌توانیم از دستورات python2 برای نسخهٔ قدیمی پایتون و python3 برای نسخهٔ جدید پایتون به علاوهٔ آپشن version-- استفاده کنیم (در نظر داشته باشید که به جای آپشن version-- از آپشن دیگری تحت عنوان V- نیز می‌توان استفاده کرد اما به خاطر داشته باشید که این حرف باید به صورت بزرگ نوشته شود.)

در صورتی که بخواهیم از آخرین نسخهٔ زبان پایتون روی سیستم‌عامل اوبونتو استفاده نماییم، پس از اطمینان حاصل کردن از اتصال به اینترنت، با وارد کردن کامند زیر در ترمینال، ابتدا ریپازیتوری سیستم‌عامل را آپدیت می‌کنیم:

$ sudo apt-get update

سپس دستور زیر را وارد می‌کنیم:

$ sudo apt-get install python3

اکنون اگر دستور python3 --version را در ترمینال وارد کنیم، می‌بینیم که ورژن نسخهٔ نصبی در معرض دیدمان قرار خواهد گرفت.


لیست نظرات
کاربر میهمان
دیدگاه شما چیست؟
کاربر میهمان
کاربر میهمان
مهدیمن یک کاربر مهمان هستم
۱۳۹۸/۰۷/۰۱
سلام ببخشید این دستور $ python --version رو در چه محیطی باید اجرا کنیم؟؟
python --version $
Skye
Skye
۱۳۹۴/۰۸/۲۲
سلام. با تشکر از آموزش های بی نظیرتون ... من از سیستم عامل اوبونتو ۱۴ استفاده میکنم و قبل از اینکه پایتون رو همینجوری که شما گفتید به نسخه ۳.۵.۰ ارتقا بدم وقتی دستور idle رو در ترمینال اجرا میکردم صفحه ویرایشگر کد ظاهر می شد اما الان بعد از ادیت این ارور رو میده: ** IDLE can't import Tkinter.
Your Python may not be configured for Tk. **
میشه راهنماییم کنید؟ خیلی ممنونم